<?php

// Fehlerbehandlungsfunktion

function meinErrorCallback($fehlercode, $fehlertext,
$fehlerdatei, $fehlerzeile) {
    echo "Eigene Behandlung! Fehlercode: " . $fehlercode
    . ", Fehlertext: " . $fehlertext . "<br>";
}

// benutzerdefinierte Fehlerbehandlung

set_error_handler("meinErrorCallback");
echo "Eine Warnung wird provoziert:" . "<hr>";
echo $nichtAngelegt . "<br>";
echo "<hr>Nach dem 1. Problem.<hr>";
echo "Ein fataler Fehler wird provoziert:" . "<hr>";
gibtEsNicht();
echo "<hr>Nach dem 2. Problem.<hr>";

?>